Support » Plugin: mb.miniAudioPlayer - an HTML5 audio player for your mp3 files » Server requires allow_url_fopen enabled for downloads to work

  • Resolved brianWP

    (@brianyerkes)


    The only way I can seem to get downloads to work is if I enabled allow_url_fopen, which is obviously a big security issue. The site in question is on a shared hosting server and they recommend not enabling allow_url_fopen.

    Any other solutions you recommend to allow downloads but disable allow_url_fopen ?

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author pupunzi

    (@pupunzi)

    The plugin fallsback to the libcurl if allow_url_fopen is set to OFF.
    Of course you need the libcurl module to be active on your server.

    All the logic is in the map_download.php file.

    • This reply was modified 1 year, 11 months ago by pupunzi.
    Plugin Author pupunzi

    (@pupunzi)

    With the latest release you can check the “Use default browser download capabilities” option to prevent this kind of issue. The download will be done via the HTML5 “download” capability instead of via PHP.

    Hi, i want to say thank you for best simple plugin ever

    BUT

    1.8.7 work excelent
    i have updated today 1.8.8 and cant download anything,
    i use “Use default browser download capabilities” option, but it is not work
    Can i have 1.8.7?

    Thanks a lot

    Great, thank you. I will try it out

    Worked perfectly after updating plugin, and disabling allow_url_fopen. Thank you!

    Plugin Author pupunzi

    (@pupunzi)

    @aslanyan the 1.8.10 release should fix the issue

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Server requires allow_url_fopen enabled for downloads to work’ is closed to new replies.